Bug 9609 - Rebuild zebra reports double numbers for exported records with -z option
Summary: Rebuild zebra reports double numbers for exported records with -z option
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Marcel de Rooy
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-13 13:52 UTC by Marcel de Rooy
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9609: Rebuilding zebra reports double number of exported records. (1.11 KB, patch)
2013-02-13 13:57 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 9609: Rebuilding zebra reports double number of exported records. (1.12 KB, patch)
2013-02-15 12:30 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 9609: Rebuilding zebra reports double number of exported records. (1.19 KB, patch)
2013-03-31 12:03 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2013-02-13 13:52:03 UTC
If you update 10 records, you will have 10 additional record in zebraqueue.
Rebuild zebra with -z (process queue).
Without this patch, you will see 20 exports in your zebra log.

Simple solution forthcoming.
Comment 1 Marcel de Rooy 2013-02-13 13:57:21 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2013-02-15 12:30:41 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-03-31 12:03:10 UTC
Created attachment 17088 [details] [review]
[PASSED QA] Bug 9609: Rebuilding zebra reports double number of exported records.

Test plan:
Clear the zebra queue (run rebuild). Update one biblio.
Rebuild zebra (again) with -z. Check zebra log: note 2 exported records.
Now apply patch, and repeat: You will see 1 exported record.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works as described.
Comment 4 Jared Camins-Esakov 2013-04-02 12:41:53 UTC
This patch has been pushed to master.
Comment 5 Chris Cormack 2013-04-14 06:31:01 UTC
Pushed to 3.8.x and 3.10.x will be in 3.8.12 and 3.10.5